<?php

function property_builder_customize_register( $wp_customize ) {

    $wp_customize->add_setting('property_builder_location_text',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('property_builder_location_text',array(
        'priority' => 2,
        'label' => __('Add Location Text','property-builder'),
        'section'=> 'construction_hub_topbar',
        'type'=> 'text'
    ));

    $wp_customize->add_setting('property_builder_location',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('property_builder_location',array(
        'label' => __('Add Location','property-builder'),
        'priority' => 3,
        'section'=> 'construction_hub_topbar',
        'type'=> 'text'
    ));

    $wp_customize->add_setting('property_builder_about_page_count',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('property_builder_about_page_count',array(
        'label' => __('Number of Projects','property-builder'),
        'section'=> 'construction_hub_about_section',
        'priority' => 3,
        'type'=> 'number'
    ));

    $property_builder_count =  get_theme_mod('property_builder_about_page_count');

    for ( $construction_hub_count = 1; $construction_hub_count <= $property_builder_count; $construction_hub_count++ ) {

        $wp_customize->add_setting( 'construction_hub_about_page' . $construction_hub_count, array(
            'default' => '',
            'sanitize_callback' => 'construction_hub_sanitize_dropdown_pages'
        ));
        $wp_customize->add_control( 'construction_hub_about_page' . $construction_hub_count, array(
            'label'    => __( 'Select Project Page', 'property-builder' ),
            'section'  => 'construction_hub_about_section',
            'priority' => 5,
            'type'     => 'dropdown-pages'
        ));
    }

    $wp_customize->add_setting('construction_hub_search_icon',array(
        'default' => true,
        'sanitize_callback' => 'construction_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('construction_hub_search_icon',array(
        'type' => 'checkbox',
        'priority' => 1,
        'label' => __('Show / Hide Search Option','property-builder'),
        'section' => 'construction_hub_topbar',
    ));
    $wp_customize->selective_refresh->add_partial( 'construction_hub_search_icon', array(
        'selector' => '.search-box i',
        'render_callback' => 'construction_hub_customize_partial_construction_hub_search_icon',
    ) );
}
add_action( 'customize_register', 'property_builder_customize_register' );
